     /**
     * \brief JSON Checker : Unit Tests
   *
   * \author Mihael Schmidt
   * \date   27.03.2014
   */

     H nomain

      *-------------------------------------------------------------------------
      * Prototypes
      *-------------------------------------------------------------------------
     D test_checkLargeFile...
     D                 PR
     
      /copy RPGUNIT1,TESTCASE
      /copy 'json/json_h.rpgle'
      /copy 'message_h.rpgle'


      *-------------------------------------------------------------------------
      * Procedures
      *-------------------------------------------------------------------------
 
     /**
      * \brief Check large json file
      * 
      * Validates a large (greater 1kb) json file. File: checkertest/pass4.json
      * 
      */
     P test_checkLargeFile...
     P                 B                   export
      *
     D filepath        S           1000A
     D result          S               N
   /free
       filepath = 'checkertest/pass4.json' + x'00';
       result = json_validateFile(filepath : 0);
       assert(result : 'Large valid json file not correctly validated.');
   /end-free
     P                 E
     